DLEXT := so

# Avoid loading rubygems to speed up tests because gmake is
# fork+exec heavy with Ruby.
prefix = $(HOME)

ifeq ($(r19),)
  RUBY := $(prefix)/bin/ruby
  RAKE := $(prefix)/bin/rake
else
  prefix := $(prefix)/ruby-1.9
  export PATH := $(prefix)/bin:$(PATH)
  RUBY := $(prefix)/bin/ruby --disable-gems
  RAKE := $(prefix)/bin/rake
endif
